# InventorySlotCompound

interface InventorySlotCompound<out T : ForInventory>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
realSlotsWithInvType
Link copied to clipboard
open fun realSlotsWithInvType(invType: InventoryType<T>): List<Int>
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard
withInvType
Link copied to clipboard
abstract fun withInvType(invType: InventoryType<T>): Collection<InventorySlot>
Content copied to clipboard

## Inheritors

SingleInventorySlot
Link copied to clipboard
InventorySlotRange
Link copied to clipboard
InventoryRowSlots
Link copied to clipboard
InventoryColumnSlots
Link copied to clipboard
InventoryBorderSlots
Link copied to clipboard
InventoryCornerSlots
Link copied to clipboard